[#namespaces]
== <boost/uuid/namespaces.hpp>

:idprefix: namespaces_

=== Synopsis

[source,c++]
----
namespace boost {
namespace uuids {
namespace ns {

uuid dns() noexcept;
uuid url() noexcept;
uuid oid() noexcept;
uuid x500dn() noexcept;

}}} // namespace boost::uuids::ns
----

=== Namespaces

This header provides definitions of the four namespaces defined in https://tools.ietf.org/html/rfc4122#appendix-C[RFC 4122, Appendix C].

```
uuid dns() noexcept;
```

Returns: :: The DNS namespace UUID from RFC 4122, `{6ba7b810-9dad-11d1-80b4-00c04fd430c8}`.

```
uuid url() noexcept;
```

Returns: :: The URL namespace UUID from RFC 4122, `{6ba7b811-9dad-11d1-80b4-00c04fd430c8}`.


```
uuid oid() noexcept;
```

Returns: :: The OID namespace UUID from RFC 4122, `{6ba7b812-9dad-11d1-80b4-00c04fd430c8}`.

```
uuid x500dn() noexcept;
```

Returns: :: The X.500 DN namespace UUID from RFC 4122, `{6ba7b814-9dad-11d1-80b4-00c04fd430c8}`.
